Component({
  properties: {
    show:{
      type: Boolean,
      value:false,
      observer: function (newVal){
        this.setData({ show: newVal });
      }
    },
    datas:{
      type: Object,
      observer:function(val){
        this.setData({ showObj: val });
      }
    },
    remainTime:{
      type: Object,
      observer:function(val){
        this.setData({ updateTime: val });
      }
    },
  },
  data:{
    show:false,
    showObj:{},
    updateTime:{},
  },
  methods:{
    close(){
      this.triggerEvent("close", false);
    },
    // 单独报名
    signUp(){
      this.triggerEvent("signUp", {alone:1,pop:true});
    },
    // 新开拼团
    newGroup(){
      this.triggerEvent("newGroup", 1);
    },
    //一键参团 
    joinGroup(){
      this.triggerEvent("joinGroup", 0);
    }
  }
})